Package org.silverpeas.components.gallery.model

## Enum OrderRowStatus

- java.lang.Object
- - java.lang.Enum<OrderRowStatus>
  - - org.silverpeas.components.gallery.model.OrderRowStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<OrderRowStatus>`

      public enum OrderRowStatus
      extends Enum<OrderRowStatus>

  Author:
    ehugonnet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOWNLOAD_ALLOWED` |
    `DOWNLOAD_DONE` |
    `DOWNLOAD_REFUSED` |
    `DOWNLOAD_WITH_WATERMARK` |
    `TO_BE_DECIDED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OrderRowStatus` | `getStatusFromDownloadDecision​(String downloadDecision)` |
    `static OrderRowStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static OrderRowStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWNLOAD_REFUSED

          public static final OrderRowStatus DOWNLOAD_REFUSED

    - #### DOWNLOAD_DONE

          public static final OrderRowStatus DOWNLOAD_DONE

    - #### DOWNLOAD_ALLOWED

          public static final OrderRowStatus DOWNLOAD_ALLOWED

    - #### DOWNLOAD_WITH_WATERMARK

          public static final OrderRowStatus DOWNLOAD_WITH_WATERMARK

    - #### TO_BE_DECIDED

          public static final OrderRowStatus TO_BE_DECIDED

  - ### Method Detail

    - #### values

          public static OrderRowStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrderRowStatus c : OrderRowStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrderRowStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStatusFromDownloadDecision

          public static OrderRowStatus getStatusFromDownloadDecision​(String downloadDecision)